Package twisted :: Package im :: Module basechat :: Class ChatUI

[frames | no frames]

## Class ChatUI

A GUI chat client

Method Summary
| `__init__(self)`
| ``contactChangedNick`(self, oldnick, newnick)` For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.
`ContactsList` | ``getContactsList`(self)`
`Conversation` | ``getConversation`(self, person, Class, stayHidden)` For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.
`Group` | ``getGroup`(self, name, client)` For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class
`GroupConversation` | ``getGroupConversation`(self, group, Class, stayHidden)` For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist
`Person` | ``getPerson`(self, name, client)` For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class
| ``registerAccountClient`(self, client)` Notifies user that an account has been signed on to.
| ``unregisterAccountClient`(self, client)` Notifies user that an account has been signed off or disconnected

Method Details

### contactChangedNick(self, oldnick, newnick)

For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.

  Parameters:
    `oldnick`
    (type=string)
    `newnick`
    (type=string)

### getContactsList(self)

  Returns:
    `ContactsList`

### getConversation(self, person, Class=<class twisted.im.basechat.Conversation at 0x8664284>, stayHidden=0)

For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.

  Parameters:
    `person`
    (type=`Person`)
    `Class`
    (type=`Conversation` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `Conversation`

### getGroup(self, name, client)

For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client`)
  Returns:
    `Group`

### getGroupConversation(self, group, Class=<class twisted.im.basechat.GroupConversation at 0x86642b4>, stayHidden=0)

For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist

  Parameters:
    `group`
    (type=`Group`)
    `Class`
    (type=`Conversation` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `GroupConversation`

### getPerson(self, name, client)

For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client`)
  Returns:
    `Person`

### registerAccountClient(self, client)

Notifies user that an account has been signed on to.

  Parameters:
    `client`
    (type=`Client`)
  Returns:
    client, so that I may be used in a callback chain

### unregisterAccountClient(self, client)

Notifies user that an account has been signed off or disconnected

  Parameters:
    `client`
    (type=`Client`)

Generated by Epydoc 2.0 on Wed Feb 25 07:36:39 2004 | http://epydoc.sf.net